Skip to main content
`Ctrl`+`K`

# MatISGetLocalMat

Gets the local matrix stored inside a `MATIS` matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISGetLocalMat(Mat mat, Mat *local)

Not Collective.

## Input Parameter

- mat - the matrix

## Output Parameter

- local - the local matrix

## Notes

This can be called if you have precomputed the nonzero structure of the matrix and want to provide it to the inner matrix object to improve the performance of the `MatSetValues()` operation.

Call `MatISRestoreLocalMat()` when finished with the local matrix.

## See Also

Matrices, `Mat`, `MATIS`, `MatISRestoreLocalMat()`

## Level

intermediate

## Location

src/mat/impls/is/matis.c

## Examples

src/ksp/ksp/tutorials/ex59.c
src/ksp/ksp/tutorials/ex71.c

## Implementations

MatISGetLocalMat_IS() in src/mat/impls/is/matis.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages